Announcement

Collapse
No announcement yet.

ESP8266 OTA using the API sketch (code included)

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • #16
    When I try to upload the sketch over the air, I get the following message, any help would greatly be appreciated.

    java.io.IOException: Cannot run program "python.exe": CreateProcess error=2, The system cannot find the file specified
    at java.lang.ProcessBuilder.start(ProcessBuilder.java:1048)
    at processing.app.helpers.ProcessUtils.exec(ProcessUtils.java:2 6)
    at cc.arduino.packages.Uploader.executeUploadCommand(Uploader.j ava:129)
    at cc.arduino.packages.uploaders.GenericNetworkUploader.uploadU singPreferences(GenericNetworkUploader.java:99)
    at cc.arduino.UploaderUtils.upload(UploaderUtils.java:78)
    at processing.app.SketchController.upload(SketchController.java :709)
    at processing.app.SketchController.exportApplet(SketchControlle r.java:682)
    at processing.app.Editor$DefaultExportHandler.run(Editor.java:2 190)
    at java.lang.Thread.run(Thread.java:745)
    Caused by: java.io.IOException: CreateProcess error=2, The system cannot find the file specified
    at java.lang.ProcessImpl.create(Native Method)
    at java.lang.ProcessImpl.<init>(ProcessImpl.java:386)
    at java.lang.ProcessImpl.start(ProcessImpl.java:137)
    at java.lang.ProcessBuilder.start(ProcessBuilder.java:1029)
    ... 8 more
    An error occurred while uploading the sketch

    Comment


    • #17
      Originally posted by aldo View Post
      When I try to upload the sketch over the air, I get the following message, any help would greatly be appreciated.

      java.io.IOException: Cannot run program "python.exe": CreateProcess error=2, The system cannot find the file specified
      at java.lang.ProcessBuilder.start(ProcessBuilder.java:1048)
      at processing.app.helpers.ProcessUtils.exec(ProcessUtils.java:2 6)
      at cc.arduino.packages.Uploader.executeUploadCommand(Uploader.j ava:129)
      at cc.arduino.packages.uploaders.GenericNetworkUploader.uploadU singPreferences(GenericNetworkUploader.java:99)
      at cc.arduino.UploaderUtils.upload(UploaderUtils.java:78)
      at processing.app.SketchController.upload(SketchController.java :709)
      at processing.app.SketchController.exportApplet(SketchControlle r.java:682)
      at processing.app.Editor$DefaultExportHandler.run(Editor.java:2 190)
      at java.lang.Thread.run(Thread.java:745)
      Caused by: java.io.IOException: CreateProcess error=2, The system cannot find the file specified
      at java.lang.ProcessImpl.create(Native Method)
      at java.lang.ProcessImpl.<init>(ProcessImpl.java:386)
      at java.lang.ProcessImpl.start(ProcessImpl.java:137)
      at java.lang.ProcessBuilder.start(ProcessBuilder.java:1029)
      ... 8 more
      An error occurred while uploading the sketch
      Unless you have uploaded a OTA capable sketch (1.0.0.144 or later) by USB, you cannot do OTA upgrades. Prior to .144, the OTA code was not in the sketch. Once the OTA capable sketch is installed, you can use OTA for future updates.
      Randy Prade
      Aurora, CO
      Prades.net

      PHLocation - Pushover - EasyTrigger - UltraECM3 - Ultra1Wire3 - Arduino

      Comment


      • #18
        Originally posted by aldo View Post
        Edit: I think I have it figured out. one question remains, how do I know which library I should install and which the program requires, I get this error when I compile the LCD program

        WARNING: library LiquidCrystal_I2C claims to run on [avr] architecture(s) and may be incompatible with your current board which runs on [esp8266] architecture(s).



        Edit: I was able to manage to update the boards ot at least one for now. I copied the old board code and replaced it with the new code by making sure I would not overwrite replace any of enigmatheatre code.
        By the way, what do you suggest for the default location for libraries and board code, could I store the code on a NAS so every pc has access to the board code?

        Can anyone please let me know how to update over the air with the new code when they have a chance?


        By mistake I updated yesterday to the release Beta V.146 prematurely. Absolutely not an issue, unfortunately I can not find any documentation on what to do to update my boards. Also, how do I use the great new feature OTA?

        Thanks,
        Aldo
        That error is normal on the NodeMCU boards, disregard it. The correct libraries to add are always the ones that you download from the config page of the version you are running. The rest of the stock libraries for 1.8.1 (the version shown on the config page) are used as well.

        The OTA update is done through the IDE, but you must have uploaded the OTA capable sketch by USB first. You will see the OTA boards listed when you select port under tools from the IDE.

        Click image for larger version

Name:	Capture.jpg
Views:	1
Size:	99.7 KB
ID:	1194453
        Randy Prade
        Aurora, CO
        Prades.net

        PHLocation - Pushover - EasyTrigger - UltraECM3 - Ultra1Wire3 - Arduino

        Comment


        • #19
          Edit: It looks like I needed to install Python 2.7.14 and a nice reboot. I was able to update the board over the air. This is a real cool feature, especially when I can not reach the shed anymore because the snow.

          Happy Holidays.

          Thank you for your help. I updated all my boards to the latest version and as you noted in your picture, I can see the board via IP address. When I compile it and try to upload is where I get that message. It looks like that is looking for python.exe.

          Thanks,
          Aldo
          Last edited by aldo; December 19th, 2017, 10:44 PM.

          Comment


          • #20
            Originally posted by enigmatheatre View Post
            FYI OTA update is available in Beta V.146 for normal and API sketches available in the updater.

            Greig.
            Thank you!!!!

            Comment

            Working...
            X